#!/usr/bin/env python

import argparse

import boto3 as boto3
from botocore.config import Config

s3_resource = boto3.resource("s3", config=Config(
    retries={"mode": "standard"},
    signature_version="s3v4",
))


def s3_delete_all(bucket: str):
    s3_resource.Bucket(bucket).object_versions.all().delete()


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument("--bucket", required=True)
    args = parser.parse_args()

    s3_delete_all(args.bucket)
    print("Done")


if __name__ == "__main__":
    main()
